libgtksourceviewmm: gtksourceview::SourceIter Class Reference

# gtksourceview::SourceIter Class Reference

an iterator type for gtksourceview::SourceBuffer. More...

`#include <sourceiter.h>`

List of all members.

## Public Member Functions
| ~SourceIter ()
bool | forward_search (const Glib::ustring &a_str, SearchFlags a_flags, Gtk::TextIter &a_match_start, Gtk::TextIter &a_match_end, const Gtk::TextIter &a_limit) const
| search forward in the buffer
bool | backward_search (const Glib::ustring &a_str, SearchFlags a_flags, Gtk::TextIter &a_match_start, Gtk::TextIter &a_match_end, const Gtk::TextIter &a_limit) const
| search backward in the buffer
constructors
| SourceIter ()
| SourceIter (const Gtk::TextIter &iter)
| SourceIter (const GtkTextIter *gobject)
| SourceIter (const SourceIter &a_iter)

## Detailed Description

an iterator type for gtksourceview::SourceBuffer.

it provides search features

## Constructor & Destructor Documentation

gtksourceview::SourceIter::SourceIter | ( |  | ) |

gtksourceview::SourceIter::SourceIter | ( | const Gtk::TextIter & | iter | ) |

gtksourceview::SourceIter::SourceIter | ( | const GtkTextIter * | gobject | ) |

gtksourceview::SourceIter::SourceIter | ( | const SourceIter & | a_iter | ) |

gtksourceview::SourceIter::~SourceIter | ( |  | ) |

## Member Function Documentation

bool gtksourceview::SourceIter::forward_search | ( | const Glib::ustring & | a_str,
|  | SearchFlags | a_flags,
|  | Gtk::TextIter & | a_match_start,
|  | Gtk::TextIter & | a_match_end,
|  | const Gtk::TextIter & | a_limit |
| ) |  |  | const

search forward in the buffer

Parameters:

  | a_str | the string to search for
  | a_flags | search flags, to be combined with the '|' operator
  | a_match_start | out parameter. Points the the beginning of the region that matches the search. This is applicable if and only if the function returns true.
  | a_match_end | out parameter. Points the the end of the region that matches the search. This is applicable if and only if the function returns true.

Returns:
  true if the search was successful, false otherwise.

bool gtksourceview::SourceIter::backward_search | ( | const Glib::ustring & | a_str,
|  | SearchFlags | a_flags,
|  | Gtk::TextIter & | a_match_start,
|  | Gtk::TextIter & | a_match_end,
|  | const Gtk::TextIter & | a_limit |
| ) |  |  | const

search backward in the buffer

Parameters:

  | a_str | the string to search for
  | a_flags | search flags, to be combined with the '|' operator
  | a_match_start | out parameter. Points the the beginning of the region that matches the search. This is applicable if and only if the function returns true.
  | a_match_end | out parameter. Points the the end of the region that matches the search. This is applicable if and only if the function returns true.

Returns:
  true if the search was successful, false otherwise.

The documentation for this class was generated from the following file:

- sourceiter.h